Bug 49502 - Little syntax error in shell script httpd.init
Summary: Little syntax error in shell script httpd.init
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.15
Hardware: All Linux
: P2 trivial (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2010-06-25 10:02 UTC by n.verger
Modified: 2012-02-26 17:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description n.verger 2010-06-25 10:02:30 UTC
Hi,
I found a litte error at line 119 in the build/rpm/httpd.init file :
> status -p {$pidfile} $httpd

the first '{' is misplaced, it must be :
> status -p ${pidfile} $httpd

If used, the command 'httpd status' return the following error :
httpd dead but subsys locked
Comment 1 Stefan Fritsch 2010-06-26 14:57:15 UTC
thanks. Commited to trunk as r958266
Comment 2 Stefan Fritsch 2012-02-26 17:05:55 UTC
fixed in 2.4.1